Luxor PlatformAPI DocumentationMining PoolReporting
Get workers
Returns a list of all workers associated to a Workspace.
Authorization
LuxorAPIKey authorization<token>
Use your API key here.
In: header
Path Parameters
currency_type*string
Which currency to query, e.g. BTC or DOGE.
Value in
- "BTC"
- "LTC_DOGE"
- "SC"
- "ZEC"
Query Parameters
subaccount_names?|array<>|array<>
site_id?|
status?string
The status of the worker to filter by.
Value in
- "UNSPECIFIED"
- "ACTIVE"
- "INACTIVE"
page_number?integer
Range
1 <= valueDefault
1page_size?integer
Range
1 <= valueDefault
10Response Body
application/json
application/json
curl -X GET "https://example.com/v2/pool/workers/BTC"{ "currency_type": "BTC", "subaccounts": [ { "id": 1, "name": "my_subaccount", "site": { "id": "b0a5fad8-0e09-4f10-ac20-ccd80fb2d138", "name": "My Site", "url": "/v2/workspace/sites/b0a5fad8-0e09-4f10-ac20-ccd80fb2d138" }, "created_at": "2019-08-24T14:15:22Z", "url": "/v2/pool/subaccounts/my_subaccount" } ], "total_inactive": 10, "total_active": 10, "workers": [ { "currency_type": "BTC", "id": "string", "subaccount_name": "my_subaccount", "name": "worker_1", "firmware": "1.0.0", "hashrate": 0.00066154, "efficiency": 0.9960606098175049, "stale_shares": 0.00066154, "rejected_shares": 0.00066154, "last_share_time": "2019-08-24T14:15:22Z", "status": "ACTIVE" } ], "pagination": { "page_number": 1, "page_size": 1, "item_count": 0, "previous_page_url": null, "next_page_url": null }}{ "statusCode": 400, "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "body/end_date Required"}Get workers hashrate history
Returns hashrate, efficiency and estimated revenue time series data for a set of workers and a currency type, given a specified time period. Revenue is provided only for BTC currency, it is an estimate and should not be considered a source of truth for financial settlement.
Get subaccounts
Returns a list of all subaccounts associated to a Workspace.